=== debian/changelog ===
kxmlgui (5.68.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:02:40 +0100

kxmlgui (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:53 +0000

kxmlgui (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:38 +0000

kxmlgui (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:28 +0000

kxmlgui (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:31 +0000

kxmlgui (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:42 +0000

kxmlgui (5.62.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Oct 2019 09:11:34 +0100

kxmlgui (5.62.0-0ubuntu1) eoan; urgency=medium

  * Build depend on qttools5-dev for Qt5UiPlugin.
  * Install Qt designer plugin in -dev package.
  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:09:07 +0100

kxmlgui (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:47 +0100

kxmlgui (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:14 +0100

kxmlgui (5.59.0-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 11:32:59 +0300

kxmlgui (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:24 +0100

kxmlgui (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:34 +0100

kxmlgui (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:40:07 +0100
