## kxmlgui 5.74.0

=== debian/changelog ===
kxmlgui (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:01:15 +0100

kxmlgui (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:36 +0100

kxmlgui (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 14:57:33 +0100

kxmlgui (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:35:11 +0100

kxmlgui (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:42 +0100

kxmlgui (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep Kubuntu symbols file.
    - Keep our install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 08:06:07 +0100

kxmlgui (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Set the distribution text (XMLGUI_DISTRIBUTION_TEXT) as "$vendor packages",
    just like it was set in kdelibs up to 4.x.
  * Update install files.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Depends.
  * Update group breaks to 5.59. (Closes: 961558)

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:46 +0200

kxmlgui (5.70.0-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 08:57:26 +0000

kxmlgui (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:22 +0100

kxmlgui (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Update symbols from build for 5.69.0.
  * Cleanup copyright file.
  * Cleanup Build-Depends.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:23 +0200
