=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,7 +67,8 @@
 ecm_qt_declare_logging_category(kxmlgui_SRCS
     HEADER debug.h
     IDENTIFIER DEBUG_KXMLGUI
-    CATEGORY_NAME kf5.kxmlgui
+    CATEGORY_NAME kf.xmlgui
+    OLD_CATEGORY_NAMES kf5.kxmlgui
     DESCRIPTION "KXmlGui"
     EXPORT KXMLGUI
 )
@@ -85,7 +86,7 @@
     GROUP_BASE_NAME KF
     VERSION ${KF5_VERSION}
     DEPRECATED_BASE_VERSION 0
-    DEPRECATION_VERSIONS 4.0 4.1 5.0
+    DEPRECATION_VERSIONS 4.0 4.1 5.0 5.75
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
 )
 
@@ -104,11 +105,11 @@
     Qt5::PrintSupport   #QPrinter in kshortcutseditor
     Qt5::CorePrivate    #QSystemLocale in initializeLanguages
     KF5::CoreAddons     #KAboutData
+    KF5::GuiAddons
     KF5::WidgetsAddons
     KF5::ItemViews           #KWidgetItemDelegate in KAboutApplicationPersonListDelegate
     KF5::I18n                #i18n and i18nc in many places
     KF5::IconThemes         #KIconLoader and KIconThemes in KToolBar
-    KF5::WindowSystem       #KKeyServer in kkeysequencewidget
     ${XMLGUI_EXTRA_LIBS}
 )
 if (TARGET Qt5::DBus)
