=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
VENDOR_NAME = $(shell dpkg-vendor --query Vendor)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DXMLGUI_DISTRIBUTION_TEXT="$(VENDOR_NAME) packages"

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
