## kxmlgui 5.80.0

=== debian/changelog ===
kxmlgui (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:10:00 +0000

kxmlgui (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:24:08 +0000

kxmlgui (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Jan 2021 20:34:10 +0000

kxmlgui (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:33 +0000

kxmlgui (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 16:00:24 +0000

kxmlgui (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:12:14 +0000

kxmlgui (5.76.0-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 14:07:37 +0300

kxmlgui (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update symbols
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:53 +0000

kxmlgui (5.74.0-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 14:02:39 +0300
