## kxmlgui 5.86.0

=== debian/changelog ===
kxmlgui (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:50:00 +0100

kxmlgui (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:32 +0100

kxmlgui (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:02:19 +0100

kxmlgui (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:19:25 +0100

kxmlgui (5.82.0-0ubuntu2) impish; urgency=medium

  * For now revert an upstream commit that breaks Konsole initial window
    size. Commit "Fix initial window size calculations" - f147fcf22318
    - debian/patches: kubuntu_revert-commit-f147fcf22318.patch 

 -- Rik Mills <rikmills@kde.org>  Sun, 09 May 2021 16:45:29 +0100

kxmlgui (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:59:03 +0100

kxmlgui (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:31 +0100
