=== debian/tests/control ===
#Tests: testsuite
#Depends: build-essential,
#         dbus (>= 1.8),
#         libkf5globalaccel-bin,
#         openbox,
#         xauth,
#         xvfb,
#         @,
#         @builddeps@,
#Restrictions: build-needed, allow-stderr
#
Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr
